CAT(1)

NIMI
cat - concatenate files and print on the standard output

YLEISKATSAUS
cat [VALITSIN]... [TIEDOSTO]...

KUVAUS

Ketjuta TIEDOSTO(t) vakiotulosteeseen.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

-A, --show-all
    sama kuin -vET

-b, --number-nonblank
    number nonempty output lines, overrides -n

-e  sama kuin -vE

-E, --show-ends
    display $ or ^M$ at end of each line

-n, --number
    numeroi kaikki tulosterivit

-s, --squeeze-blank
    älä tulosta peräkkäisiä tyhjiä rivejä

-t  sama kuin -vT

-T, --show-tabs
    näytä sarkaimet merkinnällä ^I

-u  (ei huomioida)

-v, --show-nonprinting
    käytä merkintöjä ^ ja M- muille kuin rivinvaihdolle ja sarkaimelle

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

ESIMERKKEJÄ

cat f - g
    Tulosta f:n sisältö, sitten vakiosyöte, sitten g:n sisältö.

cat Kopioi vakiosyötteestä vakiotulosteeseen.

TEKIJÄ
Kirjoittaneet Torbjorn Granlund ja Richard M. Stallman.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
tac(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/cat>
tai saatavilla paikallisesti: info '(coreutils) cat invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.